##
##  data-isocodes.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2025 OpenPKG Project <http://openpkg.org/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package version
%define       V_opkg   4.18.0
%define       V_dist   4.18.0
%define       V_subdir 4.18.0

#   package information
Name:         data-isocodes
Summary:      Data: ISO Abbreviation Codes
URL:          http://www.openpkg.org/
Vendor:       OpenPKG
Packager:     OpenPKG Project
Distribution: OpenPKG Community
Class:        BASE
Group:        Data
License:      Open Source
Version:      %{V_opkg}
Release:      20250412

#   list of sources
Source0:      http://ftp.debian.org/debian/pool/main/i/iso-codes/iso-codes_%{V_dist}.orig.tar.xz

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101, gettext
PreReq:       OpenPKG, openpkg >= 20160101

%description
    This data collection packages provides data files for:
    - ISO-3166-1 Country Codes
    - ISO-3166-2 Country Subdivision Codes
    - ISO-3166-3 Country Codes
    - ISO-4217   Currency Codes
    - ISO-639-2  Language Codes
    - ISO-639-3  Language Subdivision Codes
    - ISO-639-5  Language Subdivision Codes
    - ISO-15924  Language Script Names

%track
    prog data-isocodes = {
        version   = %{V_dist}
        url       = http://ftp.debian.org/debian/pool/main/i/iso-codes/
        regex     = iso-codes_(__VER__)(\.orig)?\.tar\.xz
    }

%prep
    %setup -q -n iso-codes-%{V_subdir}

%build

%install
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/share/data-isocodes
    %{l_shtool} install -c \
        data/iso_3166-1.json \
        $RPM_BUILD_ROOT%{l_prefix}/share/data-isocodes/iso-3166-1.json
    %{l_shtool} install -c \
        data/iso_3166-2.json \
        $RPM_BUILD_ROOT%{l_prefix}/share/data-isocodes/iso-3166-2.json
    %{l_shtool} install -c \
        data/iso_3166-3.json \
        $RPM_BUILD_ROOT%{l_prefix}/share/data-isocodes/iso-3166-3.json
    %{l_shtool} install -c \
        data/iso_4217.json \
        $RPM_BUILD_ROOT%{l_prefix}/share/data-isocodes/iso-4217.json
    %{l_shtool} install -c \
        data/iso_639-2.json \
        $RPM_BUILD_ROOT%{l_prefix}/share/data-isocodes/iso-639-2.json
    %{l_shtool} install -c \
        data/iso_639-3.json \
        $RPM_BUILD_ROOT%{l_prefix}/share/data-isocodes/iso-639-3.json
    %{l_shtool} install -c \
        data/iso_639-5.json \
        $RPM_BUILD_ROOT%{l_prefix}/share/data-isocodes/iso-639-5.json
    %{l_shtool} install -c \
        data/iso_15924.json \
        $RPM_BUILD_ROOT%{l_prefix}/share/data-isocodes/iso-15924.json
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean

